Loading...
Searching...
No Matches
debounce.h File Reference
`#include "platform.h"`

Go to the source code of this file.

## Classes

class | etl::private_debounce::debounce_base
class | etl::private_debounce::debounce2
| State change logic for 2 state debounce. More...
class | etl::private_debounce::debounce3
| State change logic for 3 state debounce. More...
class | etl::private_debounce::debounce4
| State change logic for 4 state debounce. More...
class | etl::debounce< VALID_COUNT, HOLD_COUNT, REPEAT_COUNT >
class | etl::debounce< VALID_COUNT, HOLD_COUNT, 0 >
class | etl::debounce< VALID_COUNT, 0, 0 >
class | etl::debounce< 0, 0, 0 >

## Namespaces

namespace | etl